from typing import Final, Tuple, final

__all__: Tuple[str, ...] = ("ActivityID",)


@final
class ActivityID:
    """
    Class Representing Common Activity ID's

    Attributes:
        SPOTIFY (str): Activity ID for Spotify.
        YOUTUBE (int): Activity ID for YouTube.
        VALORANT (int): Activity ID for Valorant.
        ROBLOX (int): Activity ID for Roblox.
        VSCODE (int): Activity ID for Visual Studio Code.
        OSU (int): Activity ID for Osu!.
        NETFLIX (int): Activity ID for Netflix.
        LUNAR_CLIENT (int): Activity ID for Lunar Client.
        MINECRAFT (int): Activity ID for Minecraft.
        GENSHIN_IMPACT (int): Activity ID for Genshin Impact.
        TWITCH (int): Activity ID for Twitch.
        REDDIT (int): Activity ID for Reddit.
        MEDAL (int): Activity ID for Medal.
        LEAGUE_OF_LEGENDS (int): Activity ID for League of Legends.
        CSGO (int): Activity ID for Counter-Strike: Global Offensive.
        CUSTOM_STATUS (int): Activity ID for Custom Status.
        GRAND_THEFT_AUTO_V (int): Activity ID for Grand Theft Auto V.
        CRUNCHYROLL (int): Activity ID for Crunchyroll.
        CODE (int): Activity ID for Code.
        YOUTUBE_MUSIC (int): Activity ID for YouTube Music.
        FORTNITE (str): Activity ID for Fortnite.
    """

    SPOTIFY: Final[str] = "000000000000000000"
    YOUTUBE: Final[int] = 463097721130188830
    VALORANT: Final[int] = 700136079562375258
    ROBLOX: Final[int] = 363445589247131668
    VSCODE: Final[int] = 383226320970055681
    OSU: Final[int] = 367827983903490050
    NETFLIX: Final[int] = 499981204045430784
    LUNAR_CLIENT: Final[int] = 562286213059444737
    MINECRAFT: Final[int] = 356875570916753438
    GENSHIN_IMPACT: Final[int] = 762434991303950386
    TWITCH: Final[int] = 802958789555781663
    REDDIT: Final[int] = 609183409440555018
    MEDAL: Final[int] = 307998818547531777
    LEAGUE_OF_LEGENDS: Final[int] = 401518684763586560
    CSGO: Final[int] = 356875057940791296
    CUSTOM_STATUS: Final[int] = 673651706139246612
    GRAND_THEFT_AUTO_V: Final[int] = 356876176465199104
    CRUNCHYROLL: Final[int] = 981509069309354054
    CODE: Final[int] = 782685898163617802
    YOUTUBE_MUSIC: Final[int] = 463151177836658699
    FORTNITE: Final[str] = 432980957394370572